ldsb.cpp File Reference
`#include <gecode/set/ldsb.hh>`
`#include <gecode/set/branch.hh>`
`#include <map>`

Go to the source code of this file.

## Classes

class | Gecode::Set::LDSB::VariableMap
| Map from variable implementation to index. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::LDSB
| Symmetry breaking for integer variables.
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Set::LDSB
| Symmetry breaking for set variables.

## Functions

SymmetryHandle | Gecode::VariableSymmetry (const SetVarArgs &x)
| Variables in x are interchangeable.
SymmetryHandle | Gecode::VariableSequenceSymmetry (const SetVarArgs &x, int ss)
| Variable sequences in x of size ss are interchangeable.
template<>
ModEvent | Gecode::Int::LDSB::prune< Set::SetView > (Space &home, Set::SetView x, int v)
SymmetryImp< SetView > * | Gecode::Set::LDSB::createSetSym (Space &home, const SymmetryHandle &s, VariableMap variableMap)
void | Gecode::branch (Home home, const SetVarArgs &x, SetVarBranch vars, SetValBranch vals, const Symmetries &syms, SetBranchFilter bf=nullptr, SetVarValPrint vvp=nullptr)
| Branch over x with variable selection vars and value selection vals with symmetry breaking.
void | Gecode::branch (Home home, const SetVarArgs &x, TieBreak< SetVarBranch > vars, SetValBranch vals, const Symmetries &syms, SetBranchFilter bf=nullptr, SetVarValPrint vvp=nullptr)
| Branch over x with tie-breaking variable selection vars and value selection vals with symmetry breaking.